#!/bin/bash
ARGS=
hasConverter=false
unloadPath=''
if [ ! -d /linuxcash/auto_storage ];then
    echo 'USB-накопитель не найден' 1>&2
    exit 1
fi

while [[ $# > 0 ]]; do
    key="$1"
    case $key in
        -p|--path)
            unloadPath=/linuxcash/auto_storage/$2
            ARGS="$ARGS $1 $unloadPath"
            shift 2
            ;;
        -v|--converter)
            hasConverter=true
            ARGS="$ARGS $1 $2"
            shift 2
            ;;
        *)
        	ARGS="$ARGS $1"
        	shift
        	;;
    esac
done

if [ $hasConverter == false ];then
    echo 'Не указан тип обмена' 1>&2
    exit 1
fi

if [ -z $unloadPath ];then
    echo 'Не указан путь выгрузки' 1>&2
    exit 1
fi        

if [ ! -d $unloadPath ];then
    mkdir -p $unloadPath
fi

/linuxcash/cash/exchangesystems/exchangers/scripts/cash/unload_sales.sh $ARGS
sync
